<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_cas', language 'en_ar', version '4.2'.
 *
 * @package     auth_cas
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_cas_broken_password'] = 'Ye cannot proceed without changing yer password, however there is no available page for changing it. Please contact yer Moodle Administrator.';
$string['auth_cas_certificate_check'] = 'Select \'yes\' if ye want to validate the server certificate';
$string['auth_cas_certificate_path_empty'] = 'If ye turn on Server validation, ye need to specify a certificate path';
$string['auth_cas_create_user'] = 'Turn this on if ye want to insert CAS-authenticated users in Moodle database. If not then only users who already exist in the Moodle database can log in.';
$string['auth_cas_enabled'] = 'Turn this on if ye want to use CAS authentication.';
$string['auth_cas_invalidcaslogin'] = 'Sorry, yer login has failed - ye could not be authorised';
$string['auth_cas_logoutcas'] = 'Select \'yes\' if ye want to logout from CAS when ye disconnect from Moodle';
$string['auth_cas_multiauth'] = 'Select \'yes\' if ye want to have multi-authentication (CAS + other authentication)';
$string['auth_cas_proxycas'] = 'Select \'yes\' if ye use CAS in proxy-mode';
$string['auth_casdescription'] = 'This method uses a CAS server (Central Authentication Service) to authenticate users in a Single Sign On environment (SSO). Ye can also use a simple LDAP authentication. If the given username and password are valid according to CAS, Moodle creates a new user entry in its database, taking user attributes from LDAP if required. On following logins only the username and password are checked.';
